Package org.drinkless.tdlib

# Class TdApi.BusinessConnectedBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BusinessConnectedBot

Enclosing class:
  `TdApi`

public static class TdApi.BusinessConnectedBot extends TdApi.Object
Describes a bot connected to a business account.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.BusinessRecipients`
  `recipients`
  Private chats that will be accessible to the bot.
  `TdApi.BusinessBotRights`
  `rights`
  Rights of the bot.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessConnectedBot()`
  Describes a bot connected to a business account.
  `BusinessConnectedBot(long botUserId, TdApi.BusinessRecipients recipients, TdApi.BusinessBotRights rights)`
  Describes a bot connected to a business account.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    User identifier of the bot.

  - ### recipients

    public TdApi.BusinessRecipients recipients
    Private chats that will be accessible to the bot.

  - ### rights

    public TdApi.BusinessBotRights rights
    Rights of the bot.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BusinessConnectedBot

    public BusinessConnectedBot()
    Describes a bot connected to a business account.

  - ### BusinessConnectedBot

    public BusinessConnectedBot(long botUserId, TdApi.BusinessRecipients recipients, TdApi.BusinessBotRights rights)
    Describes a bot connected to a business account.
    Parameters:
      `botUserId` - User identifier of the bot.
      `recipients` - Private chats that will be accessible to the bot.
      `rights` - Rights of the bot.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR